# pymatgen.cli.pmg_potcar module

Implementation for pmg potcar CLI.

gen_potcar(dirname, filename)

  Generate POTCAR from POTCAR.spec in directories.

  Parameters

    - dirname (str) – Directory name.

    - filename (str) – Filename in directory.

generate_potcar(args)

  Generate POTCAR.

  Parameters

    args (dict) – Args from argparse.

proc_dir(dirname, procfilefunction)

  Process a directory.

  Parameters

    - dirname (str) – Directory name.

    - procfilefunction (callable) – Callable to execute on directory.